
From: blaisorblade_spam@yahoo.it

Correct the failure path in start_io_thread(), to return the correct error
code.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/ubd_user.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/um/drivers/ubd_user.c~uml-correct-the-failure-path-in-start_io_thread arch/um/drivers/ubd_user.c
--- 25/arch/um/drivers/ubd_user.c~uml-correct-the-failure-path-in-start_io_thread	2004-09-06 14:20:45.302289480 -0700
+++ 25-akpm/arch/um/drivers/ubd_user.c	2004-09-06 14:20:45.305289024 -0700
@@ -350,6 +350,7 @@ int start_io_thread(unsigned long sp, in
 		    NULL);
 	if(pid < 0){
 		printk("start_io_thread - clone failed : errno = %d\n", errno);
+		err = -errno;
 		goto out_close;
 	}
 
_
